Download it now!
Bug 36887 - No "Continue Search" by Shortcut Key from FindBar
Summary: No "Continue Search" by Shortcut Key from FindBar
Status: RESOLVED DUPLICATE of bug 46438
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4.0 Beta3
Hardware: x86-64 (AMD64) Windows (All)
: low minor
Assignee: Jan Holesovsky
URL:
Whiteboard: bibisected35 bibisected35older
Keywords: regression
Depends on:
Blocks:
 
Reported: 2011-05-05 22:45 UTC by Rainer Bielefeld Retired
Modified: 2012-07-18 13:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2011-05-05 22:45:55 UTC
With "LibreOffice 3.4Beta3  – WIN7  Home Premium  (64bit) English UI [DEV300m103 (Build:3)]" Search from Search Toolbar can not be continued by shortcut.

Help text:Ctrl+Shift+F: Searches for the last entered search term.

Steps to reproduce:
1. Create a short sample document or open sample from
   Bug 33593 - FindBar use breaks the normal 'Find and replace' by column
2. <ctrl+f> for search
3. type a 't' into search toolbar input (or an other character existing in  
   test document)
4. <enter>
   First "t" after last caret position will be found as expected
5. Press <Ctrl+Shift+f> (en) or <Ctrl+g> (de) or what the "continue search"
   shortcut might be for your localization
   expected: Next "t" should be found
   actual: nothing

As long as caret is flashing in Find toolbar input pane the shortcut will not work. You will have to leave the input pane by a click into the document before you can continue search by shortcut. 

Shortcut with open dialog works as expected for 'Find and Replace' dialog.

Current behavior of Find Toolbar is unexpected, cumbersome and inconsistent, shotcut should work directly from toolbar.
Comment 1 Noel Power 2011-05-06 03:40:52 UTC
for kendy
Comment 2 Cor Nouws 2011-05-13 05:57:57 UTC
Hi Rainer,

With the find toolbar it works as we know from e.g. FireFox and Thunderbird:
 > Enter brings the selection to the next occurence of the search text

I would suggest to close this bug as invalid.
Comment 3 Rainer Bielefeld Retired 2011-05-13 08:56:23 UTC
> With the find toolbar it works as we know from e.g. FireFox and Thunderbird:

Definitively not! 

Please try Firefox and you will see that the "Continue Search" shortcut (for me under German WIN in FIREFOX and LibO <ctrl+g>) will find the next match even when caret still is flashing in active toolbar.

In LibO shortcut only will work if find toolbar is closed or if you have clicked into document contents.
For users who use their software for intensive work this missing shortcut in LibO Find Toolbar really is annoying. Additionally it will be hard to explain why it works in Find/Replace and not in Find.
Comment 4 Cor Nouws 2011-05-15 03:04:52 UTC
(In reply to comment #3)
> Please try Firefox and you will see that the "Continue Search" shortcut (for me
> under German WIN in FIREFOX and LibO <ctrl+g>) will find the next match even
> when caret still is flashing in active toolbar.

Ah, never knew that, I just use Enter since that is easier.
But OK, with this extra information, I have to say you are right that Ctr-Shft-F does not work.
Comment 5 Rainer Bielefeld Retired 2011-05-15 05:37:12 UTC
Thank you for further research, may be I should add a short explication wha that is so important for me:
I often have to compare and edit several documents in Time. I search all for the same string, do some small edits if necessary, switch to an other document, search again, ...
Find dialogs might have (at least) 3 states:
a. hidden
b. shown - inactive (no caret in in)
c. shown - active (caret in it)

Down arrow works for b,c to continue search, for a not, of course
Enter works for c, for others newline will be inserted into text accidently.
<cntrl+g> works for a,b, not for c

I have been used to continue search with <cntrl+g> in all situations before we had Find Dialog, that was very quick and simple. Now I have to decide context sensitive how to continue, what seems to be a little thing, but for me it's annoying.

<cntrl+g> in GE UI is the same as <cntrl+shift+f> in EN UI

NEW due to Comment 4
Comment 6 Rainer Bielefeld Retired 2012-07-18 13:13:57 UTC
Has been fixed with "Bug 46438 - EasyHack: ctrl-g to re-search in the search bar"

*** This bug has been marked as a duplicate of bug 46438 ***